from glob import glob
import numpy as np
from sourcextractor.config import *

# use this for loading one image
# Note: the zeropoint from the ascii config is used
top = load_fits_image(
    'HSC_i_SSP_PDR2_19_07_19_v3-sub.fits',
    weight='HSC_I_SSP_PDR2_weight_cln-sub.fits',
    weight_type='weight',
    constant_background = 0.0,
    weight_absolute=1
)
# use this for loading images in several bands
# Note: the zeropoint from the ascii config is used + the flux scale value from the keyword
#top = load_fits_images(
#    sorted(glob('HSC_i_SSP_PDR2_19_07_19_v3-*.fits')),
#    weights=sorted(glob('HSC_I_SSP_PDR2_weight_cln-*.fits')),
#    weight_type='weight',
#    constant_background = 0.0,
#    weight_absolute=1,
#    flux_scale_keyword='FLXSCALE'
#)

mesgroup = MeasurementGroup(top)

all_apertures = []
for img in mesgroup:
    all_apertures.extend(add_aperture_photometry(img, [10, 20, 30] ) )
add_output_column('aper', all_apertures)
          
